Package | Class | Tree | Deprecated
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hsqldb
Class Channel

    java.lang.Object
      |
      +--org.hsqldb.Channel

class Channel
extends java.lang.Object

Class declaration

Constructor Summary
`(package private)` | `Channel(Channel c, int id)` Constructor declaration
`(package private)` | `Channel(Database db, User user, boolean autocommit, boolean readonly, int id)` Constructor declaration

Method Summary
`(package private) void` | `addTransactionDelete(Table table, java.lang.Object[] row)` Method declaration
`(package private) void` | `addTransactionInsert(Table table, java.lang.Object[] row)` Method declaration
`(package private) void` | `beginNestedTransaction()` Method declaration
`(package private) void` | `check(java.lang.String object, int right)` Method declaration
`(package private) void` | `checkAdmin()` Method declaration
`(package private) void` | `checkReadWrite()` Method declaration
`(package private) void` | `commit()` Method declaration
`(package private) void` | `disconnect()` Method declaration
`(package private) void` | `endNestedTransaction(boolean rollback)` Method declaration
`void` | `finalize()` Method declaration
`(package private) Database` | `getDatabase()` Method declaration
`(package private) int` | `getId()` Method declaration
`(package private) int` | `getLastIdentity()` Method declaration
`(package private) int` | `getMaxRows()` Method declaration
`(package private) java.lang.String` | `getUsername()` Method declaration
`(package private) boolean` | `isClosed()` Method declaration
`(package private) boolean` | `isNestedTransaction()` Method declaration
`(package private) boolean` | `isReadOnly()` Method declaration
`(package private) void` | `rollback()` Method declaration
`(package private) void` | `setAutoCommit(boolean autocommit)` Method declaration
`(package private) void` | `setLastIdentity(int i)` Method declaration
`(package private) void` | `setMaxRows(int max)` Method declaration
`(package private) void` | `setPassword(java.lang.String s)` Method declaration
`(package private) void` | `setReadOnly(boolean readonly)` Method declaration
`(package private) void` | `setUser(User user)` Method declaration

Methods inherited from class java.lang.Object
`, clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Channel

    Channel(Channel c,
            int id)

  Constructor declaration
  Parameters:
    `c` -
    `id` -

### Channel

    Channel(Database db,
            User user,
            boolean autocommit,
            boolean readonly,
            int id)

  Constructor declaration
  Parameters:
    `db` -
    `user` -
    `autocommit` -
    `readonly` -
    `id` -

Method Detail

### finalize

    public void finalize()
                  throws java.sql.SQLException

  Method declaration
  Overrides:
    finalize in class java.lang.Object
  Throws:
    java.sql.SQLException -

### getId

    int getId()

  Method declaration
  Returns:

### disconnect

    void disconnect()
              throws java.sql.SQLException

  Method declaration
  Throws:
    java.sql.SQLException -

### isClosed

    boolean isClosed()

  Method declaration
  Returns:

### setLastIdentity

    void setLastIdentity(int i)

  Method declaration
  Parameters:
    `i` -

### getLastIdentity

    int getLastIdentity()

  Method declaration
  Returns:

### getDatabase

    Database getDatabase()

  Method declaration
  Returns:

### getUsername

    java.lang.String getUsername()

  Method declaration
  Returns:

### setUser

    void setUser(User user)

  Method declaration
  Parameters:
    `user` -

### checkAdmin

    void checkAdmin()
              throws java.sql.SQLException

  Method declaration
  Throws:
    java.sql.SQLException -

### check

    void check(java.lang.String object,
               int right)
         throws java.sql.SQLException

  Method declaration
  Parameters:
    `object` -
    `right` -
  Throws:
    java.sql.SQLException -

### checkReadWrite

    void checkReadWrite()
                  throws java.sql.SQLException

  Method declaration
  Throws:
    java.sql.SQLException -

### setPassword

    void setPassword(java.lang.String s)

  Method declaration
  Parameters:
    `s` -

### addTransactionDelete

    void addTransactionDelete(Table table,
                              java.lang.Object[] row)
                        throws java.sql.SQLException

  Method declaration
  Parameters:
    `table` -
    `row` -
  Throws:
    java.sql.SQLException -

### addTransactionInsert

    void addTransactionInsert(Table table,
                              java.lang.Object[] row)
                        throws java.sql.SQLException

  Method declaration
  Parameters:
    `table` -
    `row` -
  Throws:
    java.sql.SQLException -

### setAutoCommit

    void setAutoCommit(boolean autocommit)
                 throws java.sql.SQLException

  Method declaration
  Parameters:
    `autocommit` -
  Throws:
    java.sql.SQLException -

### commit

    void commit()
          throws java.sql.SQLException

  Method declaration
  Throws:
    java.sql.SQLException -

### rollback

    void rollback()
            throws java.sql.SQLException

  Method declaration
  Throws:
    java.sql.SQLException -

### beginNestedTransaction

    void beginNestedTransaction()
                          throws java.sql.SQLException

  Method declaration
  Throws:
    java.sql.SQLException -

### endNestedTransaction

    void endNestedTransaction(boolean rollback)
                        throws java.sql.SQLException

  Method declaration
  Parameters:
    `rollback` -
  Throws:
    java.sql.SQLException -

### setReadOnly

    void setReadOnly(boolean readonly)

  Method declaration
  Parameters:
    `readonly` -

### isReadOnly

    boolean isReadOnly()

  Method declaration
  Returns:

### setMaxRows

    void setMaxRows(int max)

  Method declaration
  Parameters:
    `max` -

### getMaxRows

    int getMaxRows()

  Method declaration
  Returns:

### isNestedTransaction

    boolean isNestedTransaction()

  Method declaration
  Returns:

Package | Class | Tree | Deprecated
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD